<?php

$title       = 'Busca - O guia mais completo do Brasil';
$description = 'Busca - O guia mais completo do Brasil';
$keywords    = '';


if(isset($_GET['loc'])){
    
    $loca = explode('+', $_GET['loc'] );

	$loc = filter_var($loca, FILTER_SANITIZE_STRING);



}

$nivel = 3;

if(isset($_GET['b'])){

	//$b = filter_var($_GET['b'], FILTER_SANITIZE_NUMBER_INT);
	$b = $_GET['b'];
	$bc = '';

	foreach ($b as  $value) {
		$bc .= htmlspecialchars('&b%5B%5D='.$value);
	}

}


$uf = $loca['0'];
$estado = retornaQ("SELECT * FROM l_estados WHERE uf='$uf'");
$id_uf = $estado['id'];


$slugcidade = $loca['1'];
$cidade = retornaQ("SELECT * FROM l_cidades WHERE slug='$slugcidade'");
$id_cidade = $cidade['id'];


		$detectcamp = FALSE;

		$sqlan = mysql_query("SELECT * FROM anuncios WHERE id_cidade='$id_cidade'");
		if(mysql_num_rows($sqlan)==1)
		{

	
			$campf = mysql_fetch_assoc($sqlan);

			$idcamp = $campf['id_camp'];

			$sqlcamp = mysql_query("SELECT * FROM campanhas WHERE id='$idcamp'  AND ativo=1");
			
			if(mysql_num_rows($sqlcamp)==1){

					$campanha = mysql_fetch_assoc($sqlcamp);
						
					$detectcamp = TRUE;		
					$totalv = $campanha['latv'];

	
					$totalv++;
					mysql_query("UPDATE campanhas SET latv='$totalv',topv='$totalv',infv='$totalv'  WHERE id='$idcamp'") or die(mysql_error());
			}else{

				$detectcamp = FALSE;	

			}
			

		}else{
			$detectcamp = FALSE;	
		}

		$strarr = implode("','", $b);
		$strarr = "'".$strarr."'";




		$selemp1 = mysql_query("SELECT id FROM empresas WHERE id_cidade = '$id_cidade' and id_bairro IN (".$strarr.")");

		$num = mysql_num_rows($selemp1);



$n = 30;

if(!isset($_GET['p'])) { $pag=1; } else

{
	$pag = filter_var($_GET['p'], FILTER_SANITIZE_NUMBER_INT);
}




		$paginas = ceil($num/$n);

		if($pag>$paginas && $num!=0){ header("location:".sti('urlbase').$uf.'/'.$cidade['slug']); exit; }

		$p = $pag;
		$ini = ($n * $pag) - $n;	


